# Contributing to awl

First off, thank you! We appreciate your interest in wanting to contribute to awl.

> If you like the project, spread the word! Help us grow by sharing the project with anyone you thing might be interested. Here are some ways you can help:
>
> - Star the project on GitHub
> - Share the project on social media
> - Tell your friends about the project

## How to contribute

If you want to contribute to awl, you can do so by:

- [Reporting a bug](#reporting-a-bug)
- [Requesting a feature](#requesting-a-feature)
- [Submitting a pull request](#submitting-a-pull-request)

### Reporting a bug

If you find a bug in awl, please [open an issue](https://git.froth.zone/sam/awl/issues) on the project's issue tracker. When reporting a bug, please include as much information as possible, such as:

- The version of awl you are using
- The operating system you are using
- The steps to reproduce the bug
- Any error messages you received

### Requesting a feature

If you have an idea for a feature you would like to see in awl, please [open an issue](https://git.froth.zone/sam/awl/issues) on the project's issue tracker. When requesting a feature, please include as much information as possible, such as:

- A description of the feature
- Why you think the feature would be useful
- Any other relevant information

### Submitting a pull request

If you would like to contribute code to awl, you can do so by submitting a pull request. To submit a pull request, follow these steps:

1. Fork the project on Git
2. Create a new branch for your changes
3. Make your changes
4. Push your changes to your fork
5. [Open a pull request](https://git.froth.zone/sam/awl/pulls) on the project's Git repository

When submitting a pull request, please include as much information as possible, such as:

- A description of the changes you made
- Why you made the changes
- Any other relevant information

Alternatively, you can also contribute by sending an email to the project's [mailing list](https://lists.sr.ht/~sammefishe/awl-devel). For more information about using Git over email, refer to [git-send-email.io](https://git-send-email.io/)

#### Code Style

Before submitting a pull request, please run `make lint` to ensure your code adheres to the project's code style.
Make sure that you have `golangci-lint` installed, that is our linter of choice.
